<?php
/**
 * Widget view
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->setting;
$class  = 'ipcozr-widget _widget';
$class .= ' ipcozr-widget-' . $this->widget->ID;
$class .= ' _widget-position-' . $st->getSetting( 'widget_position', 'top' );
$class .= ' _widget-radius-' . $st->getSetting( 'widget_radius', 'none' );

//Border
$bowidth = $st->getSetting( 'widget_border_width' );
$bocolor = $st->getSetting( 'widget_border_color', '#dddddd' );

$style  = ' style="';
$style .= 'background-color:' . $st->getSetting( 'widget_background_color', '#ffffff' ) . ';';
$style .= 'color:' . $st->getSetting( 'widget_color', '#444444' ) . ';';
$style .= 'padding:' . $st->getSetting( 'widget_padding_top', '10' ) . 'px;';
$style .= 'padding:' . $st->getSetting( 'widget_padding_bottom', '10' ) . 'px;';
if ( $bowidth ) {
   $style .= 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
}
$style .= '"';
?>

<div class="<?php echo $class; ?>"<?php echo $style; ?>>
 <div class="_widget-inner ipcozr-clear">

   <!-- Widget settings -->
   <?php
   $effect  = 'data-delay="' . $st->getSetting( 'widget_delay', 0 ) . '"' ;
   $effect .= ' data-animation="' . $st->getSetting( 'showing_animation_type', 'linear' ) . '"' ;
   $effect .= ' data-speed="' . $st->getSetting( 'showing_animation_speed', 'md' ) . '"' ;
   $effect .= ' data-audio="' . $st->getSetting( 'showing_audio', 0 ) . '"' ;
   ?>
   <div class="_showing-effect"<?php echo $effect; ?>></div>
   <?php
   $effect  = 'data-animation="' . $st->getSetting( 'hiding_animation_type', 'linear' ) . '"' ;
   $effect .= ' data-speed="' . $st->getSetting( 'hiding_animation_speed', 'md' ) . '"' ;
   $effect .= ' data-audio="' . $st->getSetting( 'hiding_audio', 0 ) . '"' ;
   ?>
   <div class="_hiding-effect"<?php echo $effect; ?>></div>

   <?php
   //Content
   $this->view( 'front/widget/content' );
   //Campaign
   $this->view( 'front/widget/campaign' );
   ?>


 </div>
 <?php
 //
 //Audio
 $audio = $st->getSetting( 'hiding_audio', 0 );
 if ( ! empty( $audio ) ) :
     $base = IPCOZR_BASE_URL . 'assets/audio/audio-' . $audio;
 ?>
 <audio class="_hiding-audio" style="display:none;">
     <source src="<?php echo $base; ?>.mp3" type="audio/mpeg">
     <source src="<?php echo $base; ?>.ogg" type="audio/ogg">
     <?php _e( 'Your browser does not support this audio format.', IPCOZR_SLUG ); ?>
 </audio>
 <?php
 endif;

 $audio = $st->getSetting( 'showing_audio', 0 );
 if ( ! empty( $audio ) ) :
     $base = IPCOZR_BASE_URL . 'assets/audio/audio-' . $audio;
 ?>
 <audio class="_showing-audio" style="display:none;">
     <source src="<?php echo $base; ?>.mp3" type="audio/mpeg">
     <source src="<?php echo $base; ?>.ogg" type="audio/ogg">
     <?php _e( 'Your browser does not support this audio format.', IPCOZR_SLUG ); ?>
 </audio>
 <?php
 endif;
 ?>

 <?php
 //Close
 $this->view( 'front/widget/close' );
 ?>
</div>
