<?php
/**
 * Meta box options view
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipcozr-metabox" class="ipcozr-wrap">
  <div class="container-fluid container ipcozr-form">
    <div class="ipcozr-fields">

      <?php
      /*
       * Widget
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipcozr-input-widget"><?php _e( 'Widget', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

          <select name="ipcozr_widget" id="ipcozr-input-widget">
              <option value="0"><?php _e( 'None', IPCOZR_SLUG ); ?></option>
              <?php
              $current = get_post_meta( $this->post->ID, '__ipcozr_page_widget', true );

              if ( ! empty( $this->widgets ))
              {
                  foreach( $this->widgets as $widget )
                  {
                      $sltd = '';
                      if ( $widget->ID == $current ) {
                          $sltd = ' selected="selected"';
                      }
                      echo '<option value="' . $widget->ID . '"' . $sltd . '>' . $widget->post_title . '</option>';
                  }
              }
              ?>
          </select>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->

    </div>
  </div>
  <?php wp_nonce_field( plugin_basename( __FILE__ ), 'ipcozr_mbox_nonce' ); ?>
</div>
