<?php
/**
 * Page navigation view
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div class="ipcozr-sidebar">
  <div class="ipcozr-sidebar-inner">
    <input type="hidden" name="tab_selected" id="ipcozr-tab-selected" value="<?php echo $this->tab; ?>" />
    <ul class="ipcozr-page-menu ipcozr-tab-menu">
      <li>
        <a href="#ipcozr-section-promo-general" class="active">
          <i class="ipcozr-fa ipcozr-fa-cogs"></i>
          <strong><?php _e( 'General', IPCOZR_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      if ( $this->promo ) :
      ?>
      <li>
        <a href="#ipcozr-section-promo-content">
          <i class="ipcozr-fa ipcozr-fa-list-alt"></i>
          <strong><?php _e( 'Content', IPCOZR_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipcozr-section-promo-seo">
          <i class="ipcozr-fa ipcozr-fa-globe"></i>
          <strong><?php _e( 'SEO', IPCOZR_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      endif;
      ?>
    </ul>
  </div>
</div>
