<style>
  #ipcozr-<?php echo $this->video->ID; ?> {
    <?php
    $padding = $this->setting->getSetting( 'padding' );
    if ( $width = $this->setting->getSetting( 'width' ) ){
        if ( $padding ) {
            $width = $width + ($padding*2);
        }
        echo 'width:'.$width.'px;';
    }
    if ( $height = $this->setting->getSetting( 'height', 300 ) ){
        if ( $padding ) {
            $height = $height + ($padding*2);
        }
        echo 'height:'.$height.'px;';
    }
    ?>
  }

  <?php
  //
  //Popup style
  //
  ?>

  #ipcozr-<?php echo $this->video->ID; ?> .ipcozr-ui-modal-main {
      background-color: <?php echo $this->setting->getSetting( 'popup_background_color','#ffffff' ); ?>;
      color: <?php echo $this->setting->getSetting( 'popup_text_color', '#333333' ); ?>;
      width: <?php echo $this->setting->getSetting( 'popup_width', '640' ); ?>px;
      <?php
      if ( $height = $this->setting->getSetting( 'popup_height', 'auto' ) ) {
          echo 'height:' . $height . 'px;';
      } else {
          echo 'height:auto;';
      }
      if ( $imgid = $this->setting->getSetting( 'popup_background_image' ) ){
          $data   = wp_get_attachment_image_src( $imgid, 'full' );
          $src    = $data[0];
          echo 'background-image:url("'.$src.'");';

          //Background repeat
          $repeat = $this->setting->getSetting( 'popup_background_repeat', 'repeat' );
          echo 'background-repeat:' . $repeat . ';';
      }
      if ( $bowidth = $this->setting->getSetting( 'popup_border_width' ))
      {
          $color = $this->setting->getSetting( 'popup_border_color', '#333333' );
          echo 'border:'.$bowidth.'px solid '.$color.';';
      }
      $radius = $this->setting->getSetting( 'popup_border_radius' );
      if ( $radius != 'none' ) {
          if ( $radius == 'md' ) {
              $rad = '10';
          } elseif ( $radius == 'lg' ) {
              $rad = '15';
          } else {
              $rad = '5';
          }
          echo 'border-radius:'.$rad.'px;';
      }

      $ff  = $this->setting->getSetting( 'popup_font_family', 'roboto' );
      $fam = IPCozr_Font::getFamily( $ff );
      echo 'font-family:'.$fam.';';
      ?>
    }
</style>
<div id="ipcozr-<?php echo $this->video->ID; ?>" class="ipcozr ipcozr-public">
    <div class="ipcozr-inner">
        <?php
        //
        //Top
        if ( $this->setting->getSetting( 'show_top_content', 'false' ) == 'true' ) {
            $this->view( 'shortcode/frontend/top' );
        }
        //
        //Video
        $this->view( 'shortcode/frontend/video' );
        //
        //Bottom
        if ( $this->setting->getSetting( 'show_bottom_content', 'false' ) == 'true' ) {
            $this->view( 'shortcode/frontend/bottom' );
        }
        ?>

    </div>

    <?php

    //
    //Popup top
    $clAction     = $this->setting->getSetting( 'top_button_action', 'redirect' );
    $this->prefix = 'top';
    if ( $clAction == 'popup' ){
        $this->view( 'shortcode/frontend/blocks/popup' );
    } elseif ( $clAction == 'optin_form' ){
        $this->view( 'shortcode/frontend/blocks/optin-form' );
    }

    //
    //Popup bottom
    $clAction     = $this->setting->getSetting( 'bottom_button_action', 'redirect' );
    $this->prefix = 'bottom';
    if ( $clAction == 'popup' ){
        $this->view( 'shortcode/frontend/blocks/popup' );
    } elseif ( $clAction == 'optin_form' ){
        $this->view( 'shortcode/frontend/blocks/optin-form' );
    }
    ?>

</div>
