<style>
  #ipcozr-<?php echo $this->video->ID; ?> .ipcozr-video {
    <?php
    if ( $padding = $this->setting->getSetting( 'padding' ) ){
        echo 'padding:'.$padding.'px;';
    }
    if ( $width = $this->setting->getSetting( 'width' ) ){
        if ( $padding ) {
            $width = $width + ($padding*2);
        }
        echo 'width:'.$width.'px;';
    }
    if ( $height = $this->setting->getSetting( 'height', 300 ) ){
        if ( $padding ) {
            $height = $height + ($padding*2);
        }
        echo 'height:'.$height.'px;';
    }
    if ( $bgcolor = $this->setting->getSetting( 'background_color' ) ){
        echo 'background-color:'.$bgcolor.';';
    }
    if ( $imgid = $this->setting->getSetting( 'background_image' ) ){
        $data   = wp_get_attachment_image_src( $imgid, 'full' );
        $src    = $data[0];
        echo 'background-image:url("'.$src.'");';

        //Background repeat
        $repeat = $this->setting->getSetting( 'background_repeat', 'repeat' );
        echo 'background-repeat:' . $repeat . ';';
    }
    if ( $bowidth = $this->setting->getSetting( 'border_width' ))
    {
        $color = $this->setting->getSetting( 'border_color', '#333333' );
        echo 'border:'.$bowidth.'px solid '.$color.';';
    }
    $radius = $this->setting->getSetting( 'border_radius' );
    if ( $radius != 'none' ) {
        if ( $radius == 'md' ) {
            $rad = '10';
        } elseif ( $radius == 'lg' ) {
            $rad = '15';
        } else {
            $rad = '5';
        }
        echo 'border-radius:'.$rad.'px;';
    }
    ?>
  }
</style>
<div class="ipcozr-video">
  <div class="ipcozr-video-inner">
    <div class="ipcozr-video-edge">
      <?php
      //
      //Get video id
      $videoId = false;
      if ( $url = $this->setting->getSetting( 'youtube_url' ) )
      {
          $videoId = $this->getVideoId( $url );
      }
      //
      //Get Width
      $width = '100%';
      if ( $width_value = $this->setting->getSetting( 'width' ) ){
          $width = $width_value;
      }
      //
      //Height
      $height = '100%';
      if ( $height_value = $this->setting->getSetting( 'height', 300 ) ){
          $height = $height_value;
      }
      //
      //Autoplay
      $auto = $this->setting->getSetting( 'autoplay', 'false' );
      if ( $auto == 'true' ) {
          $autoplay = '1';
      } else {
          $autoplay = '0';
      }
      //
      //Start
      $start = $this->setting->getSetting( 'start_time', 0 );
      ?>
      <div id="ipcozr-player-<?php echo $this->video->ID; ?>" class="ipcozr-player" data-id="<?php echo $videoId; ?>" data-height="<?php echo $height; ?>" data-width="<?php echo $width; ?>" data-autoplay="<?php echo $autoplay; ?>" data-start="<?php echo $start; ?>">
      </div>


    </div>
  </div>
</div>
