<?php
/**
 * Widget backend view
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$instance = $this->instance;
?>

<div class="ipcozr-widget-campaign">
  <div class="_fields">
    <p>
      <label for="<?php echo $this->wp_widget->get_field_id( 'title' ); ?>"><?php _e( 'Title:', IPCOZR_SLUG ); ?></label>
      <input type="text" value="<?php echo $instance['title']; ?>" name="<?php echo $this->wp_widget->get_field_name( 'title' ); ?>" id="<?php echo $this->wp_widget->get_field_id( 'title' ); ?>" class="widefat">
    </p>
    <p>
      <label for="<?php echo $this->wp_widget->get_field_id( 'info' ); ?>"><?php _e( 'Info:', IPCOZR_SLUG ); ?></label>
      <textarea name="<?php echo $this->wp_widget->get_field_name( 'info' ); ?>" id="<?php echo $this->wp_widget->get_field_id( 'info' ); ?>" class="widefat"><?php echo $instance['info']; ?></textarea>
    </p>
    <p>
        <label for="<?php echo $this->wp_widget->get_field_id( 'campaign' ); ?>"><?php _e( 'Campaign:', IPCOZR_SLUG ); ?></label>
        <select id="<?php echo $this->wp_widget->get_field_id( 'campaign' ); ?>" name="<?php echo $this->wp_widget->get_field_name( 'campaign' ); ?>">
            <?php
            if ( $this->campaigns )
            {
                $current = absint( $instance['campaign'] );
                foreach( $this->campaigns as $campaign )
                {
                    $selected = '';
                    if ( $current == $campaign->ID ) {
                        $selected = ' selected="selected"';
                    }
                    echo '<option' . $selected . ' value="' . $campaign->ID .  '">' . $campaign->post_title . '</option>';
                }
            }
            ?>
        </select>
    </p>
  </div>
</div>
