<?php
/**
 * Promo widget view
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$csetting = $this->setting;
$widget   = false;
if ( $widgetId = $this->setting->getSetting( 'widget' ) ) {
    $widgetId = absint( $widgetId );
    $widget   = get_post( $widgetId );
}
if ( ! $widget ) {
    return;
}

$this->widget  = $widget;
$this->setting = new IPCozr_Setting( $widget->ID, '__ipcozr-widget-setting' );

 //Get campaign
 $campaign = false;
 if ( $campaignId = $this->setting->getSetting( 'campaign' ) ) {
     $campaignId = absint( $campaignId );
     $campaign   = get_post( $campaignId );
 }

 if ( $campaign )
 {
     //Check restricted
     $restricted = false;
     if ( empty( $user_ID ) && $this->setting->getSetting( 'restricted', 'true' ) == 'true' ) {
         $restricted = true;
     }

     if ( $widget->post_status == 'publish' && ! $restricted )
     {
         //
         //Include view
         $this->campaign    = $campaign;
         $this->campSetting = new IPCozr_Setting( $campaign->ID, '__ipcozr-setting' );
         $this->view( 'front/widget' );
     }
 }
 $this->setting = $csetting;
