<?php
/**
 * Widget content view
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st    = $this->setting;
$title = $st->getSetting( 'content_title' );
$info  = $st->getSetting( 'content_info' );
$logo  = false;
if ( $logoId = $st->getSetting( 'content_logo' ) )
{
    $data = wp_get_attachment_image_src( $logoId, 'full' );
    if ( ! empty( $data[0] )) {
        $logo = $data[0];
    }
}
$class = '_widget-main ipcozr-clear';
if ( empty( $title ) ) {
    $class .= ' _widget-header-w-logo';
} elseif ( empty( $logo )) {
    $class .= ' _widget-header-w-title';
} else {
    $class .= ' _widget-header-w-title-logo';
}
?>
<div class="<?php echo $class; ?>">
  <?php
  if ( $logo ) :
  ?>
  <div class="_widget-logo">
    <img src="<?php echo $logo; ?>" alt="">
  </div>
  <?php
  endif;
  ?>

  <?php
  if ( ! empty( $title ) || ! empty( $info )) :
  ?>
  <div class="_widget-main-info">

    <?php
    if ( ! empty( $title )) :
    ?>
     <h3 class="_widget-title"><?php echo $title; ?></h3>
    <?php
    endif;
    ?>

    <?php
    if ( $info ) :
    ?>
     <div class="_widget-info">
       <?php echo $info; ?>
     </div>
    <?php
    endif;
    ?>
  </div>
  <?php
  endif;
  ?>

</div>
