<?php
/**
 * Admin content promo view
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipcozr-section-embed" class="ipcozr-tab-content ipcozr-save-hide">
  <div class="ipcozr-tab-inner">

    <div class="ipcozr-title-content ipcozr-hide">
      <i class="ipcozr-fa ipcozr-fa-clock-o"></i>
      <div class="ipcozr-title-text">
        <h3><?php _e( 'Embed Code', IPCOZR_SLUG ); ?></h3>
        <p><?php _e( 'Code to include countdown timer.', IPCOZR_SLUG ); ?></p>
      </div>
    </div>

    <h3 class="ipcozr-field-title py10"><?php _e( 'Email HTML Code', IPCOZR_SLUG ); ?></h3>
    <!-- start: .ipcozr-fields -->
    <div class="ipcozr-fields mb40">
      <p><?php _e( 'To include a countdown in your email content please copy and paste the code below', IPCOZR_SLUG ); ?>.</p>
      <?php
      $homeLink   = home_url();
      $imageLink .= $homeLink . '/wp-email-countdown-image?campaign_id=' . $this->campaign->ID;
      $campLink  .= $homeLink . '/wp-email-countdown-campaign?campaign_id=' . $this->campaign->ID;
      $code   = '<a href="' . $campLink . '"><img src="' . $imageLink . '" alt=""></a>';
      ?>
      <textarea id="ipcozr-code-embed-html" class="ipcozr-input ipcozr-input-full" name="code" readonly="readonly"><?php echo $code; ?></textarea>

      <div class="ipcozr-embed-copy mt10">
          <a id="ipcozr-code-embed-html-btn" href="#ipcozr-code-embed-html" class="ipcozr-embed-copy ipcozr-btn ipcozr-btn-sm ipcozr-btn-secondary" data-clipboard-target="ipcozr-code-embed-html">
              <?php _e( 'Copy', IPCOZR_SLUG ); ?>
          </a>
      </div>
    </div>
    <!-- end: .ipcozr-fields -->

    <h3 class="ipcozr-field-title py10"><?php _e( 'Image Link Code', IPCOZR_SLUG ); ?></h3>
    <!-- start: .ipcozr-fields -->
    <div class="ipcozr-fields mb40">
      <div class="mt20">
        <input id="ipcozr-code-embed-link" type="text" class="ipcozr-input ipcozr-input-full" name="code_image" readonly="readonly" value="<?php echo $imageLink; ?>">
        <div class="ipcozr-embed-copy mt10">
            <a id="ipcozr-code-embed-link-btn" href="#ipcozr-code-embed-link" class="ipcozr-embed-copy ipcozr-btn ipcozr-btn-sm ipcozr-btn-secondary" data-clipboard-target="ipcozr-code-embed-link">
                <?php _e( 'Copy', IPCOZR_SLUG ); ?>
            </a>
        </div>
      </div>
    </div>
    <!-- end: .ipcozr-fields -->

    <h3 class="ipcozr-field-title py10"><?php _e( 'Preview', IPCOZR_SLUG ); ?></h3>
    <p><img id="ipcozr-campaign-image-preview" src="<?php echo $imageLink; ?>&amp;campaign_preview=1" alt=""></p>
  </div>
</div>
