<?php
/**
 * Page navigation view
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div class="ipcozr-sidebar">
  <div class="ipcozr-sidebar-inner">
    <input type="hidden" name="tab_selected" id="ipcozr-tab-selected" value="<?php echo $this->tab; ?>" />
    <ul class="ipcozr-page-menu ipcozr-tab-menu">
      <li>
        <a href="#ipcozr-section-general" class="active">
          <i class="ipcozr-fa ipcozr-fa-cogs"></i>
          <strong><?php _e( 'General', IPCOZR_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      if ( $this->campaign ) :
      ?>
      <li>
        <a href="#ipcozr-section-countdown">
          <i class="ipcozr-fa ipcozr-fa-clock-o"></i>
          <strong><?php _e( 'Countdown', IPCOZR_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipcozr-section-end">
          <i class="ipcozr-fa ipcozr-fa-ban"></i>
          <strong><?php _e( 'End Settings', IPCOZR_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipcozr-section-embed">
          <i class="ipcozr-fa ipcozr-fa-code"></i>
          <strong><?php _e( 'Embed Code', IPCOZR_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipcozr-section-newsletter">
          <i class="ipcozr-fa ipcozr-fa-envelope"></i>
          <strong><?php _e( 'Newsletter', IPCOZR_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipcozr-section-statistic">
          <i class="ipcozr-fa ipcozr-fa-line-chart"></i>
          <strong><?php _e( 'Statistic', IPCOZR_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      endif;
      ?>
    </ul>
  </div>
</div>
