<?php
/**
 * Widget dashboard view
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipcozr-widget-dashboard" class="wrap ipcozr-wrap ipcozr-admin">
    <div class="ipcozr-inner">

        <?php
        $this->view( 'manage/general/header' );
        ?>

        <div class="ipcozr-main">
            <div class="ipcozr-main-info">
                <?php
                if ( isset( $_GET['create'] )) :
                ?>
                <div class="ipcozr-alert ipcozr-alert-success" style="display: block;">
                    <?php _e( 'Successfully add a campaign widget.', IPCOZR_SLUG ); ?>
                </div>
                <?php
                elseif ( isset( $_GET['delete'] )) :
                ?>
                <div class="ipcozr-alert ipcozr-alert-success" style="display: block;">
                    <?php _e( 'Successfully deleting a campaign widget.', IPCOZR_SLUG ); ?>
                </div>
                <?php
                endif;
                ?>
            </div>

            <div class="ipcozr-primary">
                <div class="_add-button mb30">
                    <?php
                    $link = admin_url() . 'admin.php?page=' . IPCOZR_PAGENAME . '-widget&action=create';
                    ?>
                    <a href="<?php echo $link; ?>" class="ipcozr-btn ipcozr-btn-success ipcozr-btn-sm _add-widget">
                      <i class="ipcozr-fa ipcozr-fa-plus-circle"></i>
                      <?php _e( 'Add New Widget', IPCOZR_SLUG ); ?>
                    </a>
                </div>

                <?php
                require_once( IPCOZR_LIB . 'tableWidget.php' );
                $list = new IPCozr_Table_Widget();
                $list->render();
                ?>
            </div>
        </div>

    </div>

</div>
